WCWIDTH(3)

NAME
wcwidth - determine columns needed for a wide character

SYNOPSIS
#include <wchar.h>

int wcwidth (wint_t c);

DESCRIPTION
The wcwidth function returns the number of columns needed to represent the wide character c. If c is a printable wide character, the value is at least 0. If c is L'\0', the value is 0. Otherwise -1 is returned.

RETURN VALUE
The wcwidth function returns the number of column positions for c.

CONFORMING TO
UNIX98

SEE ALSO
wcswidth(3), iswprint(3)

NOTES
The behaviour of wcwidth depends on the LC_CTYPE category of the current locale.